package org.nl.acs.device.service;

import org.nl.acs.common.base.PageInfo;
import org.nl.acs.common.base.CommonService;
import org.nl.acs.device.domain.Deviceisonline;
import org.nl.acs.device.service.dto.DeviceisonlineDto;
import org.nl.acs.device.service.dto.DeviceisonlineQueryParam;
import org.springframework.data.domain.Pageable;
import java.util.List;
import java.util.Set;

/**
* @author jiaolm
* @date 2023-05-09
*/
public interface DeviceisonlineService extends CommonService<Deviceisonline>  {

    static final String CACHE_KEY = "deviceisonline";

    /**
    * 查询数据分页
    * @param query 条件
    * @param pageable 分页参数
    * @return PageInfo<DeviceisonlineDto>
    */
    PageInfo<DeviceisonlineDto> queryAll(DeviceisonlineQueryParam query, Pageable pageable);

    /**
    * 查询所有数据不分页
    * @param query 条件参数
    * @return List<DeviceisonlineDto>
    */
    List<DeviceisonlineDto> queryAll(DeviceisonlineQueryParam query);

    Deviceisonline getById(String id);
    DeviceisonlineDto findById(String id);

    /**
     * 插入一条新数据。
     */
    int insert(DeviceisonlineDto resources);
    int updateById(DeviceisonlineDto resources);
    int removeById(String id);
    int removeByIds(Set<String> ids);

    /**
    * 导出数据
    * @param all 待导出的数据
    * @param response /
    * @throws IOException /
    */
    // void download(List<DeviceisonlineDto> all, HttpServletResponse response) throws IOException;
}
